package model;
// Generated Jan 11, 2019 11:51:24 PM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Muscles generated by hbm2java
 */
@Entity
@Table(name="muscles"
    ,catalog="mydb"
)
public class Muscles  implements java.io.Serializable {


     private Integer idMusclesParts;
     private String muscleName;
     private Set<ExercisesHasMuscles> exercisesHasMuscleses = new HashSet<ExercisesHasMuscles>(0);

    public Muscles() {
    }

    public Muscles(String muscleName, Set<ExercisesHasMuscles> exercisesHasMuscleses) {
       this.muscleName = muscleName;
       this.exercisesHasMuscleses = exercisesHasMuscleses;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idMusclesParts", unique=true, nullable=false)
    public Integer getIdMusclesParts() {
        return this.idMusclesParts;
    }
    
    public void setIdMusclesParts(Integer idMusclesParts) {
        this.idMusclesParts = idMusclesParts;
    }

    
    @Column(name="muscle_name", length=45)
    public String getMuscleName() {
        return this.muscleName;
    }
    
    public void setMuscleName(String muscleName) {
        this.muscleName = muscleName;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="muscles")
    public Set<ExercisesHasMuscles> getExercisesHasMuscleses() {
        return this.exercisesHasMuscleses;
    }
    
    public void setExercisesHasMuscleses(Set<ExercisesHasMuscles> exercisesHasMuscleses) {
        this.exercisesHasMuscleses = exercisesHasMuscleses;
    }




}


